<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Carbon;

class Product extends Model
{
    use HasFactory;
    protected $guarded = [];

    public function category()
    {
        return $this->belongsToMany(Category::class, 'category_product');
    }

    public function subCategory()
    {
        return $this->belongsToMany(SubCategory::class, 'product_sub_category');
    }

    public function categories()
    {
        return $this->belongsToMany(Category::class);
    }

    public function subcategories()
    {
        return $this->belongsToMany(SubCategory::class);
    }
protected static function boot()
{
    parent::boot();

    static::creating(function ($product) {
        // Get the total count of existing products
        $productCount = Product::count();

        // Get the current date and time
        $dateTime = Carbon::now()->format('YmdHis');

        // Combine product count and datetime to form the product ID
        $product->product_id = 'PID-' . str_pad($productCount + 1, 5, '0', STR_PAD_LEFT) . '-' . $dateTime;
    });
}

}
