AOS.init();

document.addEventListener("DOMContentLoaded", () => {
  const menuBtn = document.querySelector("#menuIcon");

  menuBtn.addEventListener("click", () => {
    const svgContainer = document.querySelector(".svg-container");
    svgContainer.classList.toggle("active");
  });
});

//Banner Slider
const swiper1 = new Swiper(".banner_slider", {
  loop: true,

  pagination: {
    el: ".swiper-pagination",
  },
  autoplay: {
    delay: 3000, // Time between slides in milliseconds
    disableOnInteraction: false, // Keep autoplay active after user interaction
  },
});

// Product Slider
const swiper2 = new Swiper(".product_slider", {
  loop: true, // Enable infinite looping

  // Autoplay configuration
  autoplay: {
    delay: 3000, // Delay between slides in milliseconds
    disableOnInteraction: false, // Continue autoplay after user interaction
  },

  // Breakpoints for responsive design
  breakpoints: {
    // Mobile (default)
    0: {
      slidesPerView: 4, // Show 1 slide at a time
      spaceBetween: 10, // Space between slides in pixels
    },
    // Tablets
    768: {
      slidesPerView: 5, // Show 3 slides at a time
      spaceBetween: 20, // Space between slides in pixels
    },
    // Desktop
    1024: {
      slidesPerView: 6, // Show 6 slides at a time
      spaceBetween: 30, // Space between slides in pixels
    },
  },

  navigation: {
    nextEl: ".product_next",
    prevEl: ".product_prev",
  },
});

document.addEventListener("DOMContentLoaded", () => {
  const buttons = document.querySelectorAll(".gallery_btns");
  const items = document.querySelectorAll(".gallery_item");
  const viewMoreBtn = document.querySelector(".view-more-btn");
  const initialVisibleCount = 1;
  let isExpanded = false;

  const updateItems = (tab, count = Infinity) => {
    let visibleCount = 0;
    items.forEach((item) => {
      const isVisible =
        tab === "all" || item.getAttribute("data-category").includes(tab);
      item.classList.toggle("active", isVisible && visibleCount++ < count);
    });
  };

  const handleTabClick = ({ target }) => {
    const tab = target.getAttribute("data-tab");
    buttons.forEach((btn) => btn.classList.toggle("active", btn === target));
    isExpanded = false;
    viewMoreBtn.textContent = "View All";
    viewMoreBtn.classList.toggle("d-none", tab !== "all");
    updateItems(tab, tab === "all" ? initialVisibleCount : Infinity);
  };

  const toggleViewMore = () => {
    isExpanded = !isExpanded;
    viewMoreBtn.textContent = isExpanded ? "View Less" : "View All";
    updateItems("all", isExpanded ? Infinity : initialVisibleCount);
  };

  buttons.forEach((button) => button.addEventListener("click", handleTabClick));
  viewMoreBtn.addEventListener("click", toggleViewMore);

  // Initialize default state
  const defaultTab =
    document.querySelector(".gallery_btns.active")?.getAttribute("data-tab") ||
    "all";
  updateItems(
    defaultTab,
    defaultTab === "all" ? initialVisibleCount : Infinity
  );
  viewMoreBtn.classList.toggle("d-none", defaultTab !== "all");
});

const swiper3 = new Swiper(".new_arrival_slider", {
  loop: false, // Enable infinite looping

  // Autoplay configuration
  autoplay: {
    delay: 6000, // Delay between slides in milliseconds
    disableOnInteraction: false, // Continue autoplay after user interaction
  },

  // Breakpoints for responsive design
  breakpoints: {
    // Mobile (default)
    0: {
      slidesPerView: 2.3, // Show 1 slide at a time
      spaceBetween: 10, // Space between slides in pixels
    },
    // Tablets
    768: {
      slidesPerView: 2.5, // Show 3 slides at a time
      spaceBetween: 20, // Space between slides in pixels
    },
    // Desktop
    1024: {
      slidesPerView: 2.5, // Show 6 slides at a time
      spaceBetween: 30, // Space between slides in pixels
    },
  },

  navigation: {
    nextEl: ".btn_next",
    prevEl: ".btn_prev",
  },

  scrollbar: {
    el: ".new_arrival_scrollbar",
  },
});

// picks tabs
document.addEventListener("DOMContentLoaded", () => {
  const buttons = document.querySelectorAll(".picks_btns");
  const items = document.querySelectorAll(".picks_item");

  const handleTabClick = ({ target }) => {
    const tab = target.getAttribute("data-tab");

    // Update active button
    buttons.forEach((btn) => btn.classList.toggle("active", btn === target));

    // Show related content and hide others
    items.forEach((item) => {
      const isVisible = item.getAttribute("data-category") === tab;
      item.classList.toggle("active", isVisible);
    });
  };

  // Attach event listener to each button
  buttons.forEach((button) => button.addEventListener("click", handleTabClick));

  // Set initial state
  const defaultTab = document
    .querySelector(".picks_btns.active")
    ?.getAttribute("data-tab");
  items.forEach((item) => {
    item.classList.toggle(
      "active",
      item.getAttribute("data-category") === defaultTab
    );
  });
});

// product_all sliders

const swiper4 = new Swiper(".product_slider_2", {
  loop: false, // Enable infinite looping

  // Autoplay configuration
  autoplay: {
    delay: 3000, // Delay between slides in milliseconds
    disableOnInteraction: false, // Continue autoplay after user interaction
  },

  // Breakpoints for responsive design
  breakpoints: {
    // Mobile (default)
    0: {
      slidesPerView: 4, // Show 1 slide at a time
      spaceBetween: 10, // Space between slides in pixels
    },
    // Tablets
    768: {
      slidesPerView: 5, // Show 3 slides at a time
      spaceBetween: 20, // Space between slides in pixels
    },
    // Desktop
    1024: {
      slidesPerView: 6, // Show 6 slides at a time
      spaceBetween: 30, // Space between slides in pixels
    },
  },

  navigation: {
    nextEl: ".product_next_1",
    prevEl: ".product_prev_1",
  },
});

const swiper5 = new Swiper(".product_slider_3", {
  loop: false, // Enable infinite looping

  // Autoplay configuration
  autoplay: {
    delay: 3000, // Delay between slides in milliseconds
    disableOnInteraction: false, // Continue autoplay after user interaction
  },

  // Breakpoints for responsive design
  breakpoints: {
    // Mobile (default)
    0: {
      slidesPerView: 4, // Show 1 slide at a time
      spaceBetween: 10, // Space between slides in pixels
    },
    // Tablets
    768: {
      slidesPerView: 5, // Show 3 slides at a time
      spaceBetween: 20, // Space between slides in pixels
    },
    // Desktop
    1024: {
      slidesPerView: 6, // Show 6 slides at a time
      spaceBetween: 30, // Space between slides in pixels
    },
  },

  navigation: {
    nextEl: ".product_next_2",
    prevEl: ".product_prev_2",
  },
});

const swiper6 = new Swiper(".product_slider_4", {
  loop: false, // Enable infinite looping

  // Autoplay configuration
  autoplay: {
    delay: 3000, // Delay between slides in milliseconds
    disableOnInteraction: false, // Continue autoplay after user interaction
  },

  // Breakpoints for responsive design
  breakpoints: {
    // Mobile (default)
    0: {
      slidesPerView: 4, // Show 1 slide at a time
      spaceBetween: 10, // Space between slides in pixels
    },
    // Tablets
    768: {
      slidesPerView: 5, // Show 3 slides at a time
      spaceBetween: 20, // Space between slides in pixels
    },
    // Desktop
    1024: {
      slidesPerView: 6, // Show 6 slides at a time
      spaceBetween: 30, // Space between slides in pixels
    },
  },

  navigation: {
    nextEl: ".product_next_3",
    prevEl: ".product_prev_3",
  },
});

const swiper7 = new Swiper(".product_slider_5", {
  loop: false, // Enable infinite looping

  // Autoplay configuration
  autoplay: {
    delay: 3000, // Delay between slides in milliseconds
    disableOnInteraction: false, // Continue autoplay after user interaction
  },

  // Breakpoints for responsive design
  breakpoints: {
    // Mobile (default)
    0: {
      slidesPerView: 4, // Show 1 slide at a time
      spaceBetween: 10, // Space between slides in pixels
    },
    // Tablets
    768: {
      slidesPerView: 5, // Show 3 slides at a time
      spaceBetween: 20, // Space between slides in pixels
    },
    // Desktop
    1024: {
      slidesPerView: 6, // Show 6 slides at a time
      spaceBetween: 30, // Space between slides in pixels
    },
  },

  navigation: {
    nextEl: ".product_next_4",
    prevEl: ".product_prev_4",
  },
});

const swiper8 = new Swiper(".product_slider_6", {
  loop: false, // Enable infinite looping

  // Autoplay configuration
  autoplay: {
    delay: 3000, // Delay between slides in milliseconds
    disableOnInteraction: false, // Continue autoplay after user interaction
  },

  // Breakpoints for responsive design
  breakpoints: {
    // Mobile (default)
    0: {
      slidesPerView: 4, // Show 1 slide at a time
      spaceBetween: 10, // Space between slides in pixels
    },
    // Tablets
    768: {
      slidesPerView: 5, // Show 3 slides at a time
      spaceBetween: 20, // Space between slides in pixels
    },
    // Desktop
    1024: {
      slidesPerView: 6, // Show 6 slides at a time
      spaceBetween: 30, // Space between slides in pixels
    },
  },

  navigation: {
    nextEl: ".product_next_5",
    prevEl: ".product_prev_5",
  },
});

const swiper9 = new Swiper(".testimonial_slider", {
  loop: true, // Enable infinite looping

  // Autoplay configuration
  autoplay: {
    delay: 6000, // Delay between slides in milliseconds
    disableOnInteraction: false, // Continue autoplay after user interaction
  },

  // Breakpoints for responsive design
  breakpoints: {
    // Mobile (default)
    0: {
      slidesPerView: 1, // Show 1 slide at a time
      spaceBetween: 10, // Space between slides in pixels
    },
    // Tablets
    768: {
      slidesPerView: 1, // Show 3 slides at a time
      spaceBetween: 20, // Space between slides in pixels
    },
    // Desktop
    1024: {
      slidesPerView: 1, // Show 6 slides at a time
      spaceBetween: 30, // Space between slides in pixels
    },
  },

  navigation: {
    nextEl: ".test_next",
    prevEl: ".test_prev",
  },
  pagination: {
    el: ".test_dots", // Class of the pagination container
    clickable: true, // Make bullets clickable
    dynamicBullets: false, // Enable dynamic bullets
  },
});
