@extends('admin.master')

@section('admin-home-section')
    <div class="container-fluid pt-4 px-4">
        <div class="row g-4">
            <h2>Category</h2>
            <div class="col-12">
                @if (session('success'))
                    <div class="alert alert-success">{{ session('success') }}</div>
                @endif
                <button class="btn btn-dark mb-3" onclick="location.href = '{{ route('category.create') }}'"><i
                        class="fa fa-plus"></i> Add New</button>
                <div class="bg-light rounded h-100 p-4">
                    <div class="table-responsive">
                        <table id="categoryTable" class="table table-striped table-bordered" style="width:100%">
                            <thead>
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">Name</th>
                                    <th scope="col">Image</th>
                                    <th scope="col">Slug</th>
                                    <th scope="col">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @php
                                    $count = 1;
                                @endphp
                                @foreach ($categories as $category)
                                    <tr>
                                        <td>{{ $count++ }}</td>
                                        <td>{{ $category->ctg_name }}</td>
                                        <td><img style="object-fit: contain;" src="{{ asset('uploads/category/main/' . $category->ctg_main_img) }}"
                                                alt="{{ $category->ctg_name }}" width="200px" height="80px"></td>
                                       
                                        <td>{{ $category->slug }}</td>
                                        <td>
                                            <div class="btn-group" role="group" aria-label="Category Actions">
                                                <button class="btn btn-warning me-2 "
                                                onclick="location.href = '{{ route('category.view', [$category->id]) }}'">
                                                    <i class="fa fa-eye"></i>
                                                </button>
                                                <button class="btn btn-primary me-2"
                                                    onclick="location.href = '{{ route('category.edit', [$category->id]) }}'"><i
                                                        class="fa fa-pen"></i></button>
                                                <form action="{{ route('category.delete', [$category->id]) }}"
                                                    method="post">
                                                    @csrf
                                                    @method('DELETE')
                                                    <button class="btn btn-danger"><i class="fa fa-trash"></i></button>
                                                </form>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    {{--  model  --}}

    
</div>
@endsection


@push('scripts')
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script>
        $(document).ready(function() {
            $('#categoryTable').DataTable({
                "autoWidth": true // Enable auto-width
            });
          
        });
    </script>
@endpush
