@extends('admin.master')
@section('admin-home-section')
    <div class="container-fluid pt-4 px-4">
        <div class="row g-4">

            <div class="col-12">

                <div class="bg-light row row-gap-5 rounded h-100 p-4">
                    <h2> Category : {{ $category->ctg_name }}</h2>
                    <div class="col-12 py-3 d-flex justify-content-start align-items-center gap-5">
                        <div class="position-relative">
                            <div class="image-name-div">
                                <p>Banner Image</p>
                            </div>
                            <img class="banner-style" src="{{ asset('uploads/category/banner/' . $category->ctg_banner) }}"
                                alt="Banner Image">
                        </div>
                        <div class="position-relative">
                            <div class="image-name-div">
                                <p>Main Image</p>
                            </div>
                            <img class="banner-style" src="{{ asset('uploads/category/main/' . $category->ctg_main_img) }}"
                                alt="main Image">
                        </div>
                    </div>
                    <div class="col-6 col-md-4">
                        <p class="fw-bold mt-3">Category Name:</p>
                    </div>
                    <div class="col-6 col-md-8">
                        <p class="mt-3">
                            {{ $category->ctg_name }}
                        </p>
                    </div>
                    <div class="col-6 col-md-4">
                        <p class="fw-bold">Meta Keywords:</p>
                    </div>
                    <div class="col-6 col-md-8">
                        <p>
                            @php
                                $alt_tags = json_decode($category->alt_tag);
                            @endphp
                            @foreach ($alt_tags as $alt_tag)
                                <span class="badge bg-primary">{{ $alt_tag->value }}</span>
                            @endforeach
                        </p>

                    </div>
                    <div class="col-6 col-md-4">
                        <p class="fw-bold">Meta Title:</p>
                    </div>
                    <div class="col-6 col-md-8">
                        <p>
                            {{ $category->meta_title }}
                        </p>
                    </div>
                    <div class="col-6 col-md-4">
                        <p class="fw-bold">Meta Description:</p>
                    </div>
                    <div class="col-6 col-md-8">
                        <p>
                            {{ $category->meta_description }}
                        </p>
                    </div>
                    <div class="col-6 col-md-4">
                        <p class="fw-bold">Slug:</p>
                    </div>
                    <div class="col-6 col-md-8">
                        <p>
                            {{ $category->slug }}
                        </p>
                    </div>

                    <div class="mt-3 d-flex justify-content-start align-items-center">
                        <a href="{{route('category')}}" class="flex-shrink-0 btn btn-primary">Go Back</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('style')
    <style>
        .banner-style {
            aspect-ratio: 16 / 9;
            width: 300px;
            object-fit: cover;
            object-position: center right;
        }
        .image-name-div{
            position: absolute;
            bottom: 0;
            left: 0;
            width: 100%;
            padding: 10px 20px;
            background: rgba(0, 0, 0, 0.616);
        }
        .image-name-div p{
            color: white;
            font-size: 14px;
            font-weight:600;
            text-align: center;
            margin: 0;
        }
    </style>
@endpush
