@extends('admin.master')

@section('admin-home-section')
    <div class="container-fluid pt-4 px-4">
        <div class="row g-4">
            <h2>Menu</h2>
            <div class="col-12">
                @if (session('success'))
                    <div class="alert alert-success">{{ session('success') }}</div>
                @endif
                <div id="alertContainer"></div>
                <div class="bg-light rounded h-100 p-4">
                    <h5 class="text-capitalize text-danger ">note : max select 4 menus</h5>
                    <div class="table-responsive">
                        <table id="whatsappTable" class="table table-striped table-bordered" style="width:100%">
                            <thead>
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">Menu name</th>
                                    <th scope="col">Disabel/Enabel</th>
                                </tr>
                            </thead>
                            <tbody>
                                @php
                                    $count = 1;
                                @endphp
                                @foreach ($categories as $category)
                                    <tr>
                                        <td>{{ $count++ }}</td>
                                        <td>{{ $category->ctg_name }}</td>
                                        <td>
                                            <div class="form-check form-switch">
                                                <input class="form-check-input toggle-popularity" type="checkbox"
                                                    data-status-id="{{ $category->id }}"
                                                    {{ isset($category) && $category->status ? 'checked' : '' }}>
                                                <label class="form-check-label" for="flexSwitchCheckChecked">Checked if
                                                    Enabel</label>
                                            </div>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('scripts')
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script>
        $(document).ready(function() {
            $('#whatsappTable').DataTable({
                "autoWidth": true // Enable auto-width
            });

            function showAlert(message, type) {
                var alertClass = type === 'success' ? 'alert-success' : 'alert-danger';
                var alert = $('<div class="alert ' + alertClass + '" role="alert">' + message + '</div>');

                // Append alert to container
                $('#alertContainer').empty().append(alert);

                // Automatically hide the alert after a few seconds
                setTimeout(function() {
                    alert.fadeOut('slow');
                }, 3000);
            }

            function showAlert(message, type) {
                var alertClass = type === 'success' ? 'alert-success' : 'alert-danger';
                var alert = $('<div class="alert ' + alertClass + '" role="alert">' + message + '</div>');

                // Append alert to container
                $('#alertContainer').empty().append(alert);

                // Automatically hide the alert after a few seconds
                setTimeout(function() {
                    alert.fadeOut('slow');
                }, 3000);
            }

            $('.toggle-popularity').change(function() {
                var isChecked = $(this).prop('checked');
                var categoryId = $(this).data('status-id');

                // Make AJAX request to update category status
                $.ajax({
                    url: '{{ route('update.category.status') }}',
                    type: 'POST',
                    data: {
                        _token: '{{ csrf_token() }}',
                        category_id: categoryId,
                        status: isChecked ? 1 : 0
                    },
                    success: function(response) {
                        if (response.success) {
                            // Toggle the checkbox state based on success
                            $('.toggle-popularity[data-status-id="' + categoryId + '"]').prop(
                                'checked', isChecked);
                                showAlert('Category status updated successfully', 'success');
                        } else {
                            // Toggle the checkbox state back if there was an error
                            $('.toggle-popularity[data-status-id="' + categoryId + '"]').prop(
                                'checked', !isChecked);
                            showAlert('You can only enable up to 4 categories.', 'danger');
                        }
                    },
                    error: function(xhr, status, error) {
                        console.error(xhr.responseText);
                        // Toggle the checkbox state back if there was an error
                        $('.toggle-popularity[data-status-id="' + categoryId + '"]').prop(
                            'checked', !isChecked);
                        showAlert('Failed to update category status', 'danger');
                    }
                });
            });


        });
    </script>
@endpush
