    @extends('admin.master')

    @section('admin-home-section')
        <div class="container-fluid pt-4 px-4">
            <div class="row g-4">
                <h2> Product</h2>
                <div class="col-sm-12 col-xl-12">
                    <div class="bg-light rounded h-100 p-4">
                        <h6 class="mb-4">Edit Product</h6>

                        @error('error')
                            {{ $message }}
                        @enderror
                        <form method="POST" enctype="multipart/form-data"
                            action="{{ route('product.update', ['id' => $product->id]) }}">
                            @csrf
                            @method('PATCH')

                            <div class="row mb-3">
                             @if(is_array($categoryIds) || is_object($categoryIds))
                                @foreach ($categoryIds as $key => $categoryData)
                                    <div class="row mb-3 add-after-row">
                                        <div class="col d-flex flex-column justify-content-end">
                                            <label for="category_id_{{ $key }}" class="form-label">Select
                                                Category</label>
                                            <select class="form-control bg-white" id="category_id_{{ $key }}"
                                                name="category_id[]">
                                                <option value="" disabled>Select Category</option>
                                                @foreach ($categories as $category)
                                                    <option value="{{ $category->id }}"
                                                        {{ $categoryData[0] == $category->id ? 'selected' : '' }}>
                                                        {{ $category->ctg_name }}
                                                    </option>
                                                @endforeach
                                            </select>
                                            @error('category_id')
                                                <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="col d-flex flex-column justify-content-end " id="subcategory-dropdown">
                                            <label for="sub_category_id_{{ $key }}" class="form-label">Select Sub
                                                Category</label>
                                            <div class="input-group bg-white rounded">
                                                <button class="btn btn-outline-secondary w-100 dropdown-toggle"
                                                    data-bs-auto-close="outside" type="button" data-bs-toggle="dropdown"
                                                    aria-expanded="false">Select Sub Category</button>
                                                <ul class="dropdown-menu p-2 w-100">
                                                    <!-- Options will be populated dynamically via JavaScript -->
                                                </ul>
                                            </div>
                                            @error('sub_category_id')
                                                <div class="text-danger">{{ $message }}</div>
                                            @enderror
                                        </div>
                                        <div class="col d-flex flex-column align-items-start justify-content-end change">
                                            <button type="button" class="btn btn-primary d-inline btn-border add-more"><i
                                                    class="fas fa-plus"></i> Add More</button>
                                            @if ($loop->iteration > 1)
                                                <button type="button" class="btn btn-danger btn-border remove"><i
                                                        class="fas fa-minus"></i> Remove</button>
                                            @endif
                                        </div>
                                    </div>
                                @endforeach
                            @endif
                                <div class="row mb-3">
                                    <div class="col">
                                        <label for="product_name" class="form-label">Product Name</label>
                                        <input type="text"
                                            class="form-control @error('product_name') is-invalid @enderror"
                                            id="product_name" name="product_name" value="{{ $product->product_name }}">
                                        @error('product_name')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                                

                            </div>
                            <div class="row mb-3">
                            <div class="col">
                                    <label for="short_desc" class="form-label">Product Short Description</label>
                                    <textarea class="form-control @error('short_desc') is-invalid @enderror" id="short_desc" name="short_desc">{{ $product->short_desc }}</textarea>
                                    @error('short_desc')
                                        <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>
                                 </div>
                                 <div class="row mb-3">
                                <div class="col">
                                    <label for="product_desc" class="form-label">Product Description</label>
                                    <textarea class="form-control @error('product_desc') is-invalid @enderror" id="editor" name="product_desc">{{ $product->product_desc }}</textarea>
                                    @error('product_desc')
                                        <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>
                                </div>
                            <div class="row mb-3">
                                <div class="col">
                                    <label for="slug" class="form-label">Slug</label>
                                    <input type="text" class="form-control @error('slug') is-invalid @enderror"
                                        id="slug" name="slug" value="{{ $product->slug }}">
                                    @error('slug')
                                        <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>
                                                                <div class="col">
                                    <label for="meta_title" class="form-label">Meta Title</label>
                                    <input type="text" class="form-control @error('meta_title') is-invalid @enderror"
                                        id="meta_title" name="meta_title" value="{{ $product->meta_title }}">
                                    @error('meta_title')
                                        <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="row mb-3">


                                <div class="col">
                                    <label for="meta_description" class="form-label">Meta Description</label>
                                    <textarea class="form-control @error('meta_description') is-invalid @enderror" id="meta_description"
                                        name="meta_description">{{ $product->meta_description }}</textarea>
                                    @error('meta_description')
                                        <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col">
                                    <label for="alt_tag" class="form-label">Meta keywords</label>
                                    <input type="text" class="form-control" id="alt_tag" name="alt_tag"
                                        value="{{ implode(', ',collect(json_decode($product->alt_tag))->pluck('value')->toArray()) }}">
                                </div>
                            </div>
                            <div class="row mb-3">
                                <div class="col">
                                    <label for="product_main" class="form-label">Current Image</label>
                                    <br> <img src="{{ asset('uploads/product/main/' . $product->product_main_img) }}"
                                        alt="product main" class="mb-2" style="max-width: 200px; max-height: 200px;">
                                    <br> Update if new
                                    <label for="product_main_img" class="form-label">Image</label>
                                    <input type="file"
                                        class="form-control @error('product_main_img') is-invalid @enderror"
                                        id="product_main_img" name="product_main_img">
                                    @error('product_main_img')
                                        <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>
                                <div class="col">
                                    <label for="product_multi_img" class="form-label">Current Multi Images</label>
                                    <div>
                                        @foreach (explode(',', $product->product_multi_img) as $image)
                                            <img src="{{ asset('uploads/product/multi/' . $image) }}"
                                                alt="product multi_img" class="mb-2"
                                                style="max-width: 200px; max-height: 200px;">
                                        @endforeach
                                    </div>
                                    <br> Update if new
                                    <label for="product_multi_img" class="form-label">Choose Multi Images</label>
                                    <input type="file"
                                        class="form-control @error('product_multi_img.*') is-invalid @enderror"
                                        id="product_multi_img" name="product_multi_img[]" multiple>
                                    @error('product_multi_img.*')
                                        <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>
                            <div class="row mb-3">
                                <div class="col">
                                    <div class="form-check">
                                        <input class="form-check-input" type="checkbox" id="popular" name="popular"
                                            value="1" {{ $product->popular ? 'checked' : '' }}>
                                        <label class="form-check-label" for="popular">
                                            Mark as Popular
                                        </label>
                                        @error('popular')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>
                            </div>
                            <button type="submit" class="btn btn-primary">Update</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    @endsection
    @push('head')
        <script src="https://cdn.ckeditor.com/ckeditor5/36.0.0/classic/ckeditor.js"></script>
    @endpush
    @push('scripts')
        <script>
            ClassicEditor
                .create(document.querySelector('#editor'))
                .catch(error => {
                    console.error(error);
                });

            ClassicEditor
                .create(document.querySelector('#short_desc'))
                .catch(error => {
                    console.error(error);
                });
        </script>
        <script>
    $(document).ready(function() {
        // Function to generate subcategory options with checkboxes
        function generateSubcategoryOptions(subcategories, selectedSubcategories) {
            var options = 
                '<button type="button" class="btn btn-sm btn-primary mt-2 me-2 mb-2 select-all-subcategory">Select All</button>' +
                '<button type="button" class="btn btn-sm btn-secondary mt-2 mb-2 unselect-all-subcategory">Unselect All</button>';

            $.each(subcategories, function(key, value) {
                // Check if the subcategory ID is in the selectedSubcategories array
                var isChecked = selectedSubcategories.includes(key) ? 'checked' : '';
                options += '<li>' +
                    '<input class="form-check-input" type="checkbox" value="' + key +
                    '" id="sub_category_' + key + '" name="sub_category_id[]" ' + isChecked + '>' +
                    '<label class="form-check-label ms-2" for="sub_category_' + key + '">' + value +
                    '</label>' +
                    '</li>';
            });
            return options;
        }

        // Function to disable already selected categories in dropdowns
        function disableSelectedCategories() {
            $('select[name^="category_id"]').each(function() {
                var selectedCategoryIds = [];
                $(this).closest('.row').siblings('.add-after-row').find('select[name^="category_id"]')
                    .each(function() {
                        var categoryId = $(this).val();
                        if (categoryId) {
                            selectedCategoryIds.push(categoryId);
                        }
                    });

                $(this).find('option').each(function() {
                    if ($.inArray($(this).val(), selectedCategoryIds) !== -1) {
                        $(this).prop('disabled', true);
                    } else {
                        $(this).prop('disabled', false);
                    }
                });
            });
        }

        // Event delegation for category dropdown change
        $(document).on('change', 'select[name^="category_id"]', function() {
            var categoryId = $(this).val();
            var subCategoryDropdown = $(this).closest('.row').find(
                '#subcategory-dropdown ul.dropdown-menu');

            if (categoryId) {
                $.ajax({
                    type: "GET",
                    url: "{{ route('getSubcategories') }}",
                    data: {
                        category_id: categoryId
                    },
                    success: function(subcategories) {
                        var selectedSubcategories = [];
                        $(this).closest('.row').find(
                            'input[name^="sub_category_id"]:checked').each(function() {
                            selectedSubcategories.push($(this).val());
                        });
                        var options = generateSubcategoryOptions(subcategories, selectedSubcategories);
                        subCategoryDropdown.html(options);

                        // Disable already selected categories
                        disableSelectedCategories();
                    }
                });
            } else {
                subCategoryDropdown.empty();
            }
        });

        // Trigger change event on category dropdowns to populate subcategory dropdowns on page load
        $('select[name^="category_id"]').trigger('change');

        // Add more button functionality
        $(document).on("click", ".add-more", function() {
            var html = `
                <div class="row mb-3 add-after-row">
                    <div class="col d-flex flex-column justify-content-end">
                        <label for="category_id" class="form-label">Select Category</label>
                        <select class="form-control bg-white" name="category_id[]">
                            <option value="" disabled selected>Select Category</option>
                            @foreach ($categories as $category)
                                <option value="{{ $category->id }}">{{ $category->ctg_name }}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="col d-flex flex-column justify-content-end" id="subcategory-dropdown">
                        <label for="sub_category_id" class="form-label">Select Sub Category</label>
                        <div class="input-group bg-white rounded">
                            <button class="btn btn-outline-secondary w-100 dropdown-toggle" data-bs-auto-close="outside" type="button" data-bs-toggle="dropdown" aria-expanded="false">Select Sub Category</button>
                            <ul class="dropdown-menu p-2 w-100">
                                <!-- Options will be populated dynamically via JavaScript -->
                            </ul>
                        </div>
                    </div>
                    <div class="col d-flex align-items-end justify-content-start gap-3 change">
                        <button type="button" class="btn btn-primary btn-border add-more"><i class="fas fa-plus"></i> Add More</button>
                        <button type="button" class="btn btn-danger btn-border remove"><i class="fas fa-minus"></i> Remove</button>
                    </div>
                </div>
            `;

            $(".add-after-row").last().after(html);
            // Disable already selected categories in the newly added row
            disableSelectedCategories();
        });

        // Remove button functionality
        $(document).on("click", ".remove", function() {
            var parentContainer = $(this).parents(".add-after-row");
            parentContainer.remove();
            // Disable already selected categories after removing a row
            disableSelectedCategories();
        });

        // Select All and Unselect All functionality for subcategories
        $(document).on('click', '.select-all-subcategory', function() {
            $(this).closest('.dropdown-menu').find('input[type="checkbox"]').prop('checked', true);
        });

        $(document).on('click', '.unselect-all-subcategory', function() {
            $(this).closest('.dropdown-menu').find('input[type="checkbox"]').prop('checked', false);
        });

        // Check previously selected subcategories
        $(document).ready(function() {
            $('select[name^="category_id"]').each(function() {
                var categoryId = $(this).val();
                var subCategoryDropdown = $(this).closest('.row').find(
                    '#subcategory-dropdown ul.dropdown-menu');

                if (categoryId) {
                    $.ajax({
                        type: "GET",
                        url: "{{ route('getSubcategories') }}",
                        data: {
                            category_id: categoryId
                        },
                        success: function(subcategories) {
                            var selectedSubcategories = @json($subCategoryIds);
                            var options = generateSubcategoryOptions(subcategories, selectedSubcategories);
                            subCategoryDropdown.html(options);
                        }
                    });
                } else {
                    subCategoryDropdown.empty();
                }
            });
        });
    });
</script>

    @endpush
