@extends('admin.master')

@section('admin-home-section')
    <div class="container-fluid pt-4 px-4">
        <div class="row g-4">
            <h2> Site Images</h2>
            <div class="col-sm-12 col-xl-12">
                <div class="bg-light rounded h-100 p-4">
                    <h6 class="mb-4">Site Images</h6>

                    @error('error')
                        {{ $message }}
                    @enderror
                    @if (session('success'))
                        <div class="alert alert-success">
                            {{ session('success') }}
                        </div>
                    @endif
                    <form method="POST" enctype="multipart/form-data" action="{{ route('site-images.update') }}">
                        @csrf
                        <div class="row mb-3">
                            <div class="col">
                                @if ($site_images)
                                    <label for="logo" class="form-label">Current Logo</label>
                                    <br>
                                    <img src="{{ asset('uploads/logo/' . $site_images->logo) }}" alt="Current Logo"
                                        class="mb-2" style="max-width: 200px; max-height: 200px;">
                                    <br>
                                    Update if new
                                @endif
                                <label for="logo" class="form-label">Logo</label>
                                <input type="file" class="form-control @error('logo') is-invalid @enderror"
                                    id="logo" name="logo">
                                @error('logo')
                                    <div class="invalid-feedback">{{ $message }}</div>
                                @enderror
                            </div>

                            <div class="col">
                                @if ($site_images)
                                    <label for="site_icon" class="form-label">Current Site Icon</label>
                                    <br>
                                    <img src="{{ asset('uploads/site_icon/' . $site_images->site_icon) }}"
                                        alt="Current Site Icon" class="mb-2" style="max-width: 200px; max-height: 200px;">
                                    <br>
                                    Update if new
                                @endif
                                <label for="site_icon" class="form-label">Site Icon</label>
                                <input type="file" class="form-control @error('site_icon') is-invalid @enderror"
                                    id="site_icon" name="site_icon">
                                @error('site_icon')
                                    <div class="invalid-feedback">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>
                        <button type="submit" class="btn btn-primary">Update</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection

@push('scripts')
@endpush
