@extends('admin.master')

@section('admin-home-section')
    <div class="container-fluid pt-4 px-4">
        <div class="row g-4">
            <h2> Whatsapp Template </h2>
            <div class="col-sm-12 col-xl-12">
                <div class="bg-light rounded h-100 p-4">
                    <h6 class="mb-4">{{ isset($whatsapp) ? 'Edit' : 'Add' }} Whatsapp Template</h6>

                    @error('error')
                        {{ $message }}
                    @enderror
                    <form method="POST" enctype="multipart/form-data"
                        action="{{ isset($whatsapp) ? route('whatsapp.update', ['id' => $whatsapp->id]) : route('whatsapp_configs.store') }}">
                        @csrf
                        @if (isset($whatsapp))
                            @method('PATCH')
                        @endif

                       
                       
                        <div class="row mb-3">

                            <div class="col">
                                <label for="phone_number" class="form-label">Phone Number</label>
                                <input type="text" class="form-control @error('phone_number') is-invalid @enderror"
                                    id="phone_number" name="phone_number" value="{{ isset($whatsapp) ? $whatsapp->phone_number : '' }}">
                                @error('phone_number')
                                    <div class="invalid-feedback">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="col">
                                <label for="message" class="form-label">Message</label>
                                <textarea class="form-control @error('message') is-invalid @enderror" id="message"
                                    name="message">{{ isset($whatsapp) ? $whatsapp->message : '' }}</textarea>
                                @error('message')
                                    <div class="invalid-feedback">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>

                        <button type="submit" class="btn btn-primary">{{ isset($whatsapp) ? 'Update' : 'Add' }}</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
