@extends('frontend.layouts.master')
@section('main-section')
    <main>
        <section>
            <div class="pt-5 mx-auto container-lg py-md-5">
                <div class="row">
                    <div class="col-12">
                        <h1 class="text-start fw-semibold text-capitalize">Search Results for "{{ $searchQuery }}"</h1>
                    </div>
                </div>
                <div class="row-gap-4 my-5 row px-md-3 px-lg-0">

                    <div class="px-0 col-md-8 col-lg-9 ps-md-5 pe-md-0">
                        <div class="row-gap-5 row row-gap-md-5">
                            @if ($products->isEmpty())
                                <p class = "text-dark">No Search results found.</p>
                            @endif
                            @foreach ($products as $product)
                                <div class="p-0 col-md-6 col-lg-4">
                                    <a href="{{ route('productDetails', ['slug' => $product->slug]) }}" class="text-decoration-none d-inline-block tiles_card">
                                        <img src="{{ asset(config('paths.product') . $product->product_main_img) }}"
                                            alt="{{ $product->alt_tag }}" />
                                        <p class="mt-2 text-black fs-6 fw-medium">
                                            {{ $product->product_name }}
                                        </p>
                                    </a>
                                </div>
                            @endforeach

                        </div>
                        <div class="mt-5 d-flex justify-content-center align-items-center">
                            <nav aria-label="Page navigation example">
                                <!-- Pagination Links -->
                                @if ($products->lastPage() > 1)
                                    <ul class="pagination">
                                        <li class="page-item {{ $products->onFirstPage() ? ' disabled' : '' }}">
                                            <a class="page-link" href="{{ $products->previousPageUrl() }}"
                                                aria-disabled="{{ $products->onFirstPage() ? 'true' : 'false' }}">Previous</a>
                                        </li>
                                        @for ($i = 1; $i <= $products->lastPage(); $i++)
                                            <li class="page-item {{ $products->currentPage() == $i ? ' active' : '' }}">
                                                <a class="page-link" href="{{ $products->url($i) }}">{{ $i }}</a>
                                            </li>
                                        @endfor
                                        <li class="page-item {{ $products->hasMorePages() ? '' : ' disabled' }}">
                                            <a class="page-link" href="{{ $products->nextPageUrl() }}">Next</a>
                                        </li>
                                    </ul>
                                @endif
                            </nav>
                        </div>

                    </div>
                </div>
            </div>
        </section>
    </main>
@endsection
