<div class="col-sm-12 col-xl-12">
    <div class="bg-light rounded p-4">
        <h6 class="mb-4">Update Password</h6>
        <p class="mt-1 text-sm text-gray-600">
            Ensure your account is using a long, random password to stay secure.
        </p>
        <form method="post" action="{{ route('password.update') }}" class="mt-4">
            @csrf
            @method('put')

            <div class="mb-3">
                <label for="update_password_current_password" class="form-label">Current Password</label>
                <div class="col-sm-5">
                    <input type="password" id="update_password_current_password" name="current_password"
                        class="form-control" autocomplete="current-password">

                    <x-input-error :messages="$errors->updatePassword->get('current_password')" class="mt-2" />
                </div>
            </div>

            <div class="mb-3">
                <label for="update_password_password" class="form-label">New Password</label>
                <div class="col-sm-5">
                    <input type="password" id="update_password_password" name="password" class="form-control"
                        autocomplete="new-password">
                    <x-input-error :messages="$errors->updatePassword->get('password')" class="mt-2" />
                </div>
            </div>

            <div class="mb-3">
                <label for="update_password_password_confirmation" class="form-label">Confirm Password</label>
                <div class="col-sm-5">
                    <input type="password" id="update_password_password_confirmation" name="password_confirmation"
                        class="form-control" autocomplete="new-password">
                    <x-input-error :messages="$errors->updatePassword->get('password_confirmation')" class="mt-2" />
                </div>
            </div>

            <div>
                <button type="submit" class="btn btn-primary mb-2">{{ __('Save') }}</button>
            </div>
            @if (session('status') === 'password-updated')
            <div id="passwordUpdatedAlert" class="alert alert-success text-sm text-gray-600" role="alert">
                {{ __('Saved.') }}
            </div>
            <script>
                // JavaScript function to hide the alert after 2000 milliseconds (2 seconds)
                setTimeout(function() {
                    document.getElementById('passwordUpdatedAlert').style.display = 'none';
                }, 9000);
            </script>
        @endif
        </form>
    </div>
</div>
