<div class="col-sm-12 col-xl-12">
    <div class="p-4 rounded bg-light">
        <h6 class="mb-4">Profile Information</h6>
        <p class="mt-1 text-sm text-gray-600">
            Update your account's profile information and email address.
        </p>
        <form id="send-verification" method="post" action="{{ route('verification.send') }}">
            @csrf
        </form>

        <form method="post" action="{{ route('profile.update') }}" class="mt-4">
            @csrf
            @method('patch')

            <div class="mb-3">
                <label for="name" class="form-label">{{ __('Name') }}</label>
                <div class="col-sm-5">
                    <input id="name" name="name" type="text" class="form-control"
                        value="{{ old('name', $user->name) }}" required autofocus autocomplete="name">
                    <x-input-error class="mt-2" :messages="$errors->get('name')" />
                </div>
            </div>

            <div class="mb-3">
                <label for="email" class="form-label">{{ __('Email') }}</label>
                <div class="col-sm-5">
                    <input id="email" name="email" type="email" class="form-control"
                        value="{{ old('email', $user->email) }}" required autocomplete="username">
                    <x-input-error class="mt-2" :messages="$errors->get('email')" />

                    @if ($user instanceof \Illuminate\Contracts\Auth\MustVerifyEmail && !$user->hasVerifiedEmail())
                        <div class="mt-2">
                            <p class="text-sm text-gray-800">
                                {{ __('Your email address is unverified.') }}
                                <button form="send-verification" class="btn btn-link">
                                    {{ __('Click here to re-send the verification email.') }}
                                </button>
                            </p>

                            @if (session('status') === 'verification-link-sent')
                                <p class="mt-2 text-sm font-medium text-success">
                                    {{ __('A new verification link has been sent to your email address.') }}
                                </p>
                            @endif
                        </div>
                    @endif
                </div>
            </div>

            <div class="gap-4 d-flex align-items-center">
                <button type="submit" class="mb-2 btn btn-primary">{{ __('Save') }}</button>
            </div>
            @if (session('status') === 'profile-updated')
                <div id="profileUpdatedAlert" class="text-sm text-gray-600 alert alert-success" role="alert">
                    {{ __('Saved.') }}
                </div>
                <script>
                    // JavaScript function to hide the alert after 2000 milliseconds (2 seconds)
                    setTimeout(function() {
                        document.getElementById('profileUpdatedAlert').style.display = 'none';
                    }, 2000);
                </script>
            @endif
        </form>
    </div>
</div>
