

<?php $__env->startSection('admin-home-section'); ?>
    <div class="container-fluid pt-4 px-4">
        <div class="row g-4">
            <h2>Category</h2>
            <div class="col-12">
                <?php if(session('success')): ?>
                    <div class="alert alert-success"><?php echo e(session('success')); ?></div>
                <?php endif; ?>
                <button class="btn btn-dark mb-3" onclick="location.href = '<?php echo e(route('category.create')); ?>'"><i
                        class="fa fa-plus"></i> Add New</button>
                <div class="bg-light rounded h-100 p-4">
                    <div class="table-responsive">
                        <table id="categoryTable" class="table table-striped table-bordered" style="width:100%">
                            <thead>
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">Name</th>
                                    <th scope="col">Image</th>
                                    <th scope="col">Slug</th>
                                    <th scope="col">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                    $count = 1;
                                ?>
                                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($count++); ?></td>
                                        <td><?php echo e($category->ctg_name); ?></td>
                                        <td><img style="object-fit: contain;" src="<?php echo e(asset('uploads/category/main/' . $category->ctg_main_img)); ?>"
                                                alt="<?php echo e($category->ctg_name); ?>" width="200px" height="80px"></td>
                                       
                                        <td><?php echo e($category->slug); ?></td>
                                        <td>
                                            <div class="btn-group" role="group" aria-label="Category Actions">
                                                <button class="btn btn-warning me-2 "
                                                onclick="location.href = '<?php echo e(route('category.view', [$category->id])); ?>'">
                                                    <i class="fa fa-eye"></i>
                                                </button>
                                                <button class="btn btn-primary me-2"
                                                    onclick="location.href = '<?php echo e(route('category.edit', [$category->id])); ?>'"><i
                                                        class="fa fa-pen"></i></button>
                                                <form action="<?php echo e(route('category.delete', [$category->id])); ?>"
                                                    method="post">
                                                    <?php echo csrf_field(); ?>
                                                    <?php echo method_field('DELETE'); ?>
                                                    <button class="btn btn-danger"><i class="fa fa-trash"></i></button>
                                                </form>
                                            </div>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

    

    
</div>
<?php $__env->stopSection(); ?>


<?php $__env->startPush('scripts'); ?>
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script>
        $(document).ready(function() {
            $('#categoryTable').DataTable({
                "autoWidth": true // Enable auto-width
            });
          
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\laravel\TheDesignStore\resources\views\admin\category\index.blade.php ENDPATH**/ ?>