<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="shortcut icon"
        href="<?php echo e(isset($site_images->site_icon) ? asset('uploads/site_icon/' . $site_images->site_icon) : asset('assets/images/favicon.png')); ?>"
        type="image/x-icon" />
    <title>The Design Store</title>
    <link rel="stylesheet" href="<?php echo e(asset('assets/stylesheets/style.css')); ?>" />
    <link rel="stylesheet" href="<?php echo e(asset('assets/stylesheets/responsive.css')); ?>" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/swiper@11/swiper-bundle.min.css" />
    <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet" />
    <?php echo $__env->yieldPushContent('head'); ?>
    <style>
        .search-results-dropdown {
            position: absolute;
            position: absolute;
            left: 415px;
            right: 508px;
            top: 67%;
            background-color: white;
            border: 1px solid #ccc;
            border-top: none;
            z-index: 1000;
            /* Keeps the dropdown on top of other content */
            display: none;
            /* Hide by default */
            box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
            /* Optional: Adds shadow for better visibility */
        }

        .search-results-dropdown .suggestion {
            padding: 10px;
            cursor: pointer;
        }

        .search-results-dropdown .suggestion:hover {
            background-color: #f8f8f8;
        }

        .search_bar_nav {
            position: relative;
            /* Critical for positioning the dropdown */
            display: flex;
            align-items: center;
            width: 100%;
        }

        @media (max-width: 768px) {
            .search_bar_nav {
                padding: 8px;
                /* Adjust padding for smaller screens */
            }

            .search-results-dropdown {
                box-shadow: none;
                /* Optional: remove shadow on small screens for cleaner look */
            }
        }
    </style>
</head>

<body>
    <?php echo $__env->make('frontend.common.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->yieldContent('main-section'); ?>
    <?php echo $__env->make('frontend.common.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <script src="https://cdn.jsdelivr.net/npm/swiper@11/swiper-bundle.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz" crossorigin="anonymous">
    </script>
    <script src="https://unpkg.com/aos@2.3.1/dist/aos.js"></script>
    <script src="<?php echo e(asset('assets/script.js')); ?>"></script>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $(document).ready(function() {
            $('#search-input').on('input', function() {
                var query = $(this).val();

                if (query.length >= 2) {
                    $.ajax({
                        url: '<?php echo e(route('search.suggest')); ?>',
                        type: 'GET',
                        data: {
                            query: query
                        },
                        dataType: 'json',
                        success: function(response) {
                            $('#search-results').empty();
                            if (response.length > 0) {
                                $('#search-results').show();
                                $.each(response, function(index, product) {
                                    var imageUrl =
                                        '<?php echo e(asset('uploads/product/main/')); ?>' + '/' +
                                        product.product_main_img;
                                    var productUrl =
                                        '<?php echo e(route('productDetails', ['slug' => ':slug'])); ?>'
                                        .replace(':slug', product.slug);

                                    // Truncate product_name if it's longer than 10 characters
                                    var displayName = product.product_name.length > 10 ?
                                        product.product_name.substring(0, 35) + "..." :
                                        product.product_name;

                                    $('#search-results').append(`
                                <div class="suggestion">
                                    <a href="${productUrl}">
                                        <img src="${imageUrl}" alt="${product.product_alt_tag}" style="width: 50px; height: auto; margin-right: 10px; vertical-align: middle;">
                                        <span style="text-transform: capitalize;">${displayName}</span>
                                    </a>
                                </div>
                            `);
                                });
                            } else {
                                $('#search-results').hide();
                            }
                        },
                        error: function(xhr, status, error) {
                            console.error("Error: " + error.message);
                            $('#search-results').empty().append(
                                '<p>Error retrieving results.</p>');
                        }
                    });
                } else {
                    $('#search-results').empty().hide();
                }
            });
        });
    </script>

    <?php echo $__env->yieldPushContent('script'); ?>
</body>

</html>
<?php /**PATH C:\xampp\htdocs\laravel\TheDesignStore\resources\views\frontend\layouts\master.blade.php ENDPATH**/ ?>