<nav class="px-3 navbar px-md-4 px-lg-5">
    <div class="container-fluid">
        <div class="gap-5 d-flex justify-content-between align-items-center w-100">
            <a class="navbar-brand" href="<?php echo e(route('home')); ?>">
                <img class="logo_img" src="<?php echo e(asset('uploads/logo/' . $site_images->logo)); ?>" alt="logo" />
            </a>
            <button class="text-black bg-transparent border-0 d-lg-none navbar-toggler" type="button"
                data-bs-toggle="offcanvas" data-bs-target="#offcanvasNavbar" aria-controls="offcanvasNavbar">
                <svg xmlns="http://www.w3.org/2000/svg" width="35" height="35" viewBox="0 0 24 24" fill="none"
                    stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                    class="lucide lucide-align-right">
                    <path d="M21 12H9" />
                    <path d="M21 18H7" />
                    <path d="M21 6H3" />
                </svg>
            </button>
            <div class="gap-3 d-none d-lg-flex align-items-center w-100">
                <div class="gap-5 d-flex align-items-center me-4">
                    <a href="<?php echo e(route('home')); ?>"
                        class="fs-7 text-gray fw-medium text-decoration-none d-inline-block">Home</a>
                    <a href="<?php echo e(route('about')); ?>"
                        class="fs-7 text-gray fw-medium text-decoration-none d-inline-block">About</a>
                </div>
                <form method="Get" action="<?php echo e(route('search')); ?>"
                    class="gap-2 px-3 bg-white search_bar_nav w-100 d-flex align-items-center text-secondary rounded-5">
                    <?php echo csrf_field(); ?>
                    <svg xmlns="http://www.w3.org/2000/svg" width="22" height="22" viewBox="0 0 24 24"
                        fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
                        stroke-linejoin="round" class="lucide lucide-search">
                        <circle cx="11" cy="11" r="8" />
                        <path d="m21 21-4.3-4.3" />
                    </svg>
                    <input style="font-size: 14px" class="p-2 bg-transparent border-0 w-100" type="text"
                        id="search-input" name="query" placeholder="Search for Products..." />
                </form>
                <div id="search-results" class="search-results-dropdown"></div>
                <div class="gap-5 d-flex align-items-center ms-4">
                    <a href="<?php echo e(route('products')); ?>"
                        class="fs-7 text-gray fw-medium text-decoration-none d-inline-block">Products</a>
                    <div class="position-relative">
                        <a style="font-size: 14px"
                            class="bg-transparent border-0 text-decoration-none text-nowrap text-gray d-flex align-items-center fw-medium"
                            href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                            Categories
                            <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24"
                                fill="none" stroke="currentColor" stroke-width="2.2" stroke-linecap="round"
                                stroke-linejoin="round" class="lucide lucide-chevron-down">
                                <path d="m6 9 6 6 6-6" />
                            </svg>
                        </a>
                        <ul class="dropdown-menu">
                            <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="nav-item dropdown">
                                    <a class="nav-link" href="<?php echo e(route('category.subcategories', $category->slug)); ?>"
                                        id="navbarDropdown<?php echo e($category->id); ?>">
                                        <?php echo e($category->ctg_name); ?>

                                    </a>
                                    <?php if($category->subCategory && $category->subCategory->count() > 0): ?>
                                        <ul class="dropdown-menu">
                                            <?php $__currentLoopData = $category->subCategory; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subcategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <li>
                                                    <a class="dropdown-item" href="<?php echo e(route('subcategoryDetail', $subcategory->slug)); ?>">
                                                        <?php echo e($subcategory->sub_ctg_name); ?>

                                                    </a>
                                                </li>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </ul>
                                    <?php endif; ?>
                                </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>

                    </div>

                </div>
            </div>
            <a href="<?php echo e(route('contact')); ?>"
                class="gap-2 px-4 py-2 text-center login_button rounded-3 fs-7 text-decoration-none text-nowrap d-none d-lg-flex align-items-center">
                <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24" fill="none"
                    stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                    class="lucide lucide-headset">
                    <path
                        d="M3 11h3a2 2 0 0 1 2 2v3a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2v-5Zm0 0a9 9 0 1 1 18 0m0 0v5a2 2 0 0 1-2 2h-1a2 2 0 0 1-2-2v-3a2 2 0 0 1 2-2h3Z" />
                    <path d="M21 16v2a4 4 0 0 1-4 4h-5" />
                </svg>
                Contact Us
            </a>
        </div>
    </div>
</nav>
<!-- Offcanvas navbar for mobile -->
<div class="px-2 offcanvas offcanvas-end" tabindex="-1" id="offcanvasNavbar" aria-labelledby="offcanvasNavbarLabel">
    <div class="px-2 py-3 d-flex justify-content-between align-items-center">
        <a class="navbar-brand" href="#">
            <img class="logo_img" src="<?php echo e(asset('uploads/logo/' . $site_images->logo)); ?>" alt="logo" />
        </a>
        <button type="button" class="btn-close text-reset" data-bs-dismiss="offcanvas" aria-label="Close"></button>
    </div>
    <div class="gap-4 px-3 py-4 d-flex flex-column">
        <a href="<?php echo e(route('home')); ?>" class="fs-7 text-gray fw-medium text-decoration-none d-inline-block">Home</a>
        <a href="<?php echo e(route('about')); ?>" class="fs-7 text-gray fw-medium text-decoration-none d-inline-block">About</a>
        <a href="<?php echo e(route('product')); ?>"
            class="fs-7 text-gray fw-medium text-decoration-none d-inline-block">Products</a>
        <a style="font-size: 14px"
            class="bg-transparent border-0 text-decoration-none text-nowrap text-gray d-flex align-items-center fw-medium"
            href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
            Categories
            <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24"
                fill="none" stroke="currentColor" stroke-width="2.2" stroke-linecap="round"
                stroke-linejoin="round" class="lucide lucide-chevron-down">
                <path d="m6 9 6 6 6-6" />
            </svg>
        </a>
        <div class="d-flex justify-content-start">
            <a href="<?php echo e(route('contact')); ?>"
                class="gap-2 px-4 py-2 text-center login_button rounded-3 fs-7 text-decoration-none text-nowrap d-flex align-items-center">
                <svg xmlns="http://www.w3.org/2000/svg" width="20" height="20" viewBox="0 0 24 24"
                    fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
                    stroke-linejoin="round" class="lucide lucide-headset">
                    <path
                        d="M3 11h3a2 2 0 0 1 2 2v3a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2v-5Zm0 0a9 9 0 1 1 18 0m0 0v5a2 2 0 0 1-2 2h-1a2 2 0 0 1-2-2v-3a2 2 0 0 1 2-2h3Z" />
                    <path d="M21 16v2a4 4 0 0 1-4 4h-5" />
                </svg>
                Contact Us
            </a>
        </div>

        <ul class="dropdown-menu">
            <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li>
                    <a class="dropdown-item" href="<?php echo e(route('category.subcategories', $category->slug)); ?>"
                        id="navbarDropdownMob<?php echo e($category->id); ?>">
                        <?php echo e($category->ctg_name); ?>

                    </a>
                    <?php if($category->subCategory && $category->subCategory->count() > 0): ?>
                        <ul class="dropdown-menu">
                            <?php $__currentLoopData = $category->subCategory; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subcategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li>
                                    <a class="dropdown-item" href="<?php echo e(route('subcategoryDetail', $subcategory->slug)); ?>">
                                        <?php echo e($subcategory->sub_ctg_name); ?>

                                    </a>
                                </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    <?php endif; ?>
                </li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </ul>
    </div>
    <div class="px-2 pt-2">
        <form method="Get" action="<?php echo e(route('search')); ?>"
            class="gap-2 px-3 py-2 search_bar_nav w-100 d-flex align-items-center text-secondary bg-body-tertiary rounded-5">
            <?php echo csrf_field(); ?>
            <svg xmlns="http://www.w3.org/2000/svg" width="22" height="22" viewBox="0 0 24 24"
                fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round"
                stroke-linejoin="round" class="lucide lucide-search">
                <circle cx="11" cy="11" r="8" />
                <path d="m21 21-4.3-4.3" />
            </svg>
            <input style="font-size: 14px" class="p-2 bg-transparent border-0 w-100" type="text"
                id="search-input" name="query" placeholder="Search for Products..." />
        </form>
    </div>
</div>

<?php $__env->startPush('script'); ?>
    <script>
        document.addEventListener("DOMContentLoaded", function() {
            var navDropdowns = document.querySelectorAll('.nav-item.dropdown');

            navDropdowns.forEach(function(dropdown) {
                var submenu = dropdown.querySelector('.dropdown-menu');
                if (submenu) {
                    dropdown.addEventListener('mouseenter', function() {
                        submenu.classList.add('show');
                        dropdown.setAttribute('aria-expanded', 'true');
                    });

                    dropdown.addEventListener('mouseleave', function() {
                        submenu.classList.remove('show');
                        dropdown.setAttribute('aria-expanded', 'false');
                    });
                }
            });
        });
    </script>
<?php $__env->stopPush(); ?>
<?php /**PATH C:\xampp\htdocs\laravel\TheDesignStore\resources\views/frontend/common/header.blade.php ENDPATH**/ ?>