

<?php $__env->startSection('admin-home-section'); ?>
    <div class="container-fluid pt-4 px-4">
        <div class="row g-4">
            <h2>Sub Category</h2>
            <div class="col-12">
                <?php if(session('success')): ?>
                    <div class="alert alert-success"><?php echo e(session('success')); ?></div>
                <?php endif; ?>
                <button class="btn btn-dark mb-3" onclick="location.href = '<?php echo e(route('sub_category.create')); ?>'"><i
                        class="fa fa-plus"></i> Add New</button>
                <div class="bg-light rounded h-100 p-4">
                    <div class="table-responsive">
                        <table id="sub_categoryTable" class="table table-striped table-bordered" style="width:100%">
                            <thead>
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">Ctg Name</th>
                                    <th scope="col">Sub Ctg Name</th>
                                    <th scope="col">Image</th>
                                    <th scope="col">Slug</th>
                                    <th scope="col">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                    $count = 1;
                                ?>
                                <?php $__currentLoopData = $sub_categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sub_category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($count++); ?></td>
                                        <td><?php echo e($sub_category->category->ctg_name); ?></td>
                                        <td><?php echo e($sub_category->sub_ctg_name); ?></td>
                                        <td><img style="object-fit:contain;" src="<?php echo e(asset('uploads/sub_category/main/' . $sub_category->sub_ctg_main_img)); ?>"
                                                alt="<?php echo e($sub_category->sub_ctg_name); ?>" width="200px" height="80px"></td>

                                        <td><?php echo e($sub_category->slug); ?></td>
                                        <td>
                                            <div class="btn-group" role="group" aria-label="sub_Category Actions">
                                                <button class="btn btn-warning me-2" onclick="location.href = '<?php echo e(route('sub_category.view', [$sub_category->id])); ?>'">
                                                    <i class="fa fa-eye"></i>
                                                </button>

                                                <button class="btn btn-primary me-2"
                                                    onclick="location.href = '<?php echo e(route('sub_category.edit', [$sub_category->id])); ?>'"><i
                                                        class="fa fa-pen"></i></button>
                                                <form action="<?php echo e(route('sub_category.delete', [$sub_category->id])); ?>"
                                                    method="post">
                                                    <?php echo csrf_field(); ?>
                                                    <?php echo method_field('DELETE'); ?>
                                                    <button class="btn btn-danger"><i class="fa fa-trash"></i></button>
                                                </form>
                                            </div>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script>
        $(document).ready(function() {
            $('#sub_categoryTable').DataTable({
                "autoWidth": true // Enable auto-width
            });
           
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\laravel\TheDesignStore\resources\views/admin/sub_category/index.blade.php ENDPATH**/ ?>