<?php $__env->startSection('main-section'); ?>
    <main>
        <section>
            <div class="pt-5 mx-auto container-lg py-md-5">
                <div class="row">
                    <div class="col-12">
                        <h1 class="text-start fw-semibold text-capitalize">Search Results for "<?php echo e($searchQuery); ?>"</h1>
                    </div>
                </div>
                <div class="row-gap-4 my-5 row px-md-3 px-lg-0">

                    <div class="px-0 col-md-8 col-lg-9 ps-md-5 pe-md-0">
                        <div class="row-gap-5 row row-gap-md-5">
                            <?php if($products->isEmpty()): ?>
                                <p class = "text-dark">No Search results found.</p>
                            <?php endif; ?>
                            <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="p-0 col-md-6 col-lg-4">
                                    <a href="<?php echo e(route('productDetails', ['slug' => $product->slug])); ?>" class="text-decoration-none d-inline-block tiles_card">
                                        <img src="<?php echo e(asset(config('paths.product') . $product->product_main_img)); ?>"
                                            alt="<?php echo e($product->alt_tag); ?>" />
                                        <p class="mt-2 text-black fs-6 fw-medium">
                                            <?php echo e($product->product_name); ?>

                                        </p>
                                    </a>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                        </div>
                        <div class="mt-5 d-flex justify-content-center align-items-center">
                            <nav aria-label="Page navigation example">
                                <!-- Pagination Links -->
                                <?php if($products->lastPage() > 1): ?>
                                    <ul class="pagination">
                                        <li class="page-item <?php echo e($products->onFirstPage() ? ' disabled' : ''); ?>">
                                            <a class="page-link" href="<?php echo e($products->previousPageUrl()); ?>"
                                                aria-disabled="<?php echo e($products->onFirstPage() ? 'true' : 'false'); ?>">Previous</a>
                                        </li>
                                        <?php for($i = 1; $i <= $products->lastPage(); $i++): ?>
                                            <li class="page-item <?php echo e($products->currentPage() == $i ? ' active' : ''); ?>">
                                                <a class="page-link" href="<?php echo e($products->url($i)); ?>"><?php echo e($i); ?></a>
                                            </li>
                                        <?php endfor; ?>
                                        <li class="page-item <?php echo e($products->hasMorePages() ? '' : ' disabled'); ?>">
                                            <a class="page-link" href="<?php echo e($products->nextPageUrl()); ?>">Next</a>
                                        </li>
                                    </ul>
                                <?php endif; ?>
                            </nav>
                        </div>

                    </div>
                </div>
            </div>
        </section>
    </main>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('frontend.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\laravel\TheDesignStore\resources\views\frontend\pages\search_results.blade.php ENDPATH**/ ?>